Bug 232265 - editors/openoffice-devel: fails to build with OpenSSL 1.1
Summary: editors/openoffice-devel: fails to build with OpenSSL 1.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Don Lewis
URL:
Keywords: regression
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-14 23:37 UTC by Jan Beich
Modified: 2018-11-07 22:30 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (office)
truckman: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-10-14 23:37:48 UTC
oox/source/core/filterdetect.cxx:358:24: error: variable has incomplete type 'EVP_CIPHER_CTX' (aka 'evp_cipher_ctx_st')
        EVP_CIPHER_CTX aes_ctx;
                       ^
/usr/include/openssl/ossl_typ.h:90:16: note: forward declaration of 'evp_cipher_ctx_st'
typedef struct evp_cipher_ctx_st EVP_CIPHER_CTX;
               ^
oox/source/core/filterdetect.cxx:565:32: error: variable has incomplete type 'EVP_CIPHER_CTX' (aka 'evp_cipher_ctx_st')
                EVP_CIPHER_CTX aes_ctx;
                               ^
/usr/include/openssl/ossl_typ.h:90:16: note: forward declaration of 'evp_cipher_ctx_st'
typedef struct evp_cipher_ctx_st EVP_CIPHER_CTX;
               ^

http://www.ipv6proxy.net/go.php?u=http://beefy11.nyi.freebsd.org/data/head-i386-default/p482017_s339352/logs/apache-openoffice-devel-4.2.1838397_1,4.log
http://www.ipv6proxy.net/go.php?u=http://beefy12.nyi.freebsd.org/data/head-amd64-default/p482017_s339352/logs/apache-openoffice-devel-4.2.1838397_1,4.log
Comment 1 Don Lewis freebsd_committer 2018-10-14 23:43:58 UTC
Currently testing a patch.  openoffice-4 will also have the same problem, but is currently skipped to to gnome-vfs breakage.
Comment 2 commit-hook freebsd_committer 2018-10-15 17:28:18 UTC
A commit references this bug:

Author: truckman
Date: Mon Oct 15 17:27:42 UTC 2018
New revision: 482164
URL: https://svnweb.freebsd.org/changeset/ports/482164

Log:
  editors/openoffice-4, editors/openoffice-devel:

  	Fix build with OpenSSL 1.1.x

  	Pet portlint (USES block location)

  PR:		232265
  Reported by:	pkg-fallout

Changes:
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-4/files/patch-oox_source_core_filterdetect.cxx
  head/editors/openoffice-devel/Makefile
  head/editors/openoffice-devel/files/patch-oox_source_core_filterdetect.cxx
Comment 4 commit-hook freebsd_committer 2018-11-07 22:30:10 UTC
A commit references this bug:

Author: truckman
Date: Wed Nov  7 22:29:44 UTC 2018
New revision: 484413
URL: https://svnweb.freebsd.org/changeset/ports/484413

Log:
  MFH: r482164

  editors/openoffice-4, editors/openoffice-devel:

  	Fix build with OpenSSL 1.1.x

  	Pet portlint (USES block location)

  PR:		232265
  Reported by:	pkg-fallout

  Approved by:	ports-secteam blanket (unbreak build)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/editors/openoffice-4/Makefile
  branches/2018Q4/editors/openoffice-4/files/patch-oox_source_core_filterdetect.cxx
  branches/2018Q4/editors/openoffice-devel/Makefile
  branches/2018Q4/editors/openoffice-devel/files/patch-oox_source_core_filterdetect.cxx